SQ(1)

NAME
sq key subkey delete - Delete a certificate's secret key material

SYNOPSIS
sq key subkey delete [OPTIONS]

DESCRIPTION
Delete a certificate's secret key material.

Unlike `sq key delete`, which deletes all the secret key material, this command only deletes the specified secret key material.

If the secret key material is managed by multiple devices, it is deleted from all of them.

Although the secret key material is deleted, the public keys are retained. If you don't want the keys to be used anymore you should revoke the keys using `sq key subkey revoke`.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Delete secret key material from the key with the specified fingerprint or key ID

--cert-email=EMAIL
    Delete secret key material from the key where a user ID includes the specified email address

--cert-file=PATH
    Delete the secret key material from the key read from PATH

--cert-userid=USERID
    Delete secret key material from the key with the specified user ID

--key=FINGERPRINT|KEYID
    Delete the specified key's secret key material

--output=FILE
    Write the stripped certificate to the specified file

    This option only makes sense when deleting the secret key material from a file. When deleting secret key material managed by the key store using `--cert`, you can get the stripped certificate using `sq key export`.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Delete Alice's signing subkey.

    sq key subkey delete \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --key=42020B87D51877E5AF8D272124F3955B0B8DECC8

SEE ALSO
sq(1), sq-key(1), sq-key-subkey(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.2.0 (sequoia-openpgp 1.22.0)